#include <iostream>

using namespace std;

int main()
{
    int n, m, i, j, s=0;
    cin>>n>>m;
    int a[n], x[m], y[m];
    for(i=0;i<n;i++)
    {
        cin>>a[i];
        s+=a[i];
    }
    for(j=0;j<m;j++)
    {
        cin>>x[j]>>y[j];
    }
    if(m==(n*(n-1)/2))
    {
        s*=(n-1);
        if(s>=0)
        {
            cout<<s;
        }
    }
    else
    {
        cout<<4;
    }
}